function [W,Wx,Wy,Wz,Wxx,Wxy,Wxz,Wyy,Wyz,Wzz] = w_ball(x,y,z,r) 
% w_ball(x,y,z): weight function for a ball
% r: radius

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% evaluate weight function 
W = r*r - x.*x-y.*y-z.*z;
Wx = -2*x; Wy = -2*y; Wz = -2*z;
Wxx = -2*ones(size(x)); Wyy = Wxx; Wzz = Wxx;
Wxy = zeros(size(x)); Wxz = Wxy; Wyz = Wxy; 

