function [W,Wx,Wy,Wz,Wxx,Wxy,Wxz,Wyy,Wyz,Wzz] = w_cylinder(x,y,z,r) 
% w_cylinder(x,y,z): cylinder with radius r and axis (0,0,z) 

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

W = r*r - x.*x-y.*y; 
Wx = -2*x; Wy = -2*y; Wxx = -2*ones(size(x));  Wyy = Wxx; 
Wz = zeros(size(z)); Wxy = Wz; Wxz = Wz; Wyz = Wz; Wzz = Wz;

