function [W,Wx,Wy,Wxx,Wxy,Wyy] = w_disc(x,y,r)
% w_disc(x,y,r): weight function for a disc
% r: radius

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% evaluate weight function 
W = r*r - x.*x-y.*y; 
Wx = -2*x; Wy = -2*y;
Wxx = -2*ones(size(x)); Wxy = zeros(size(x)); Wyy = Wxx;

