function [W,Wx,Wy,Wz,Wxx,Wxy,Wxz,Wyy,Wyz,Wzz] = w_exp_3d(x,y,z) 
% w_exp_3d(x,y,z): weight function defined in terms of exponentials

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

x=x-1/2; y=y-1/2; z=z-1/2;
W = 4-exp(5*x.*x)-exp(6*y.*y)-exp(7*z.*z);
Wx = -10*x.*exp(5*x.*x);
Wy = -12*y.*exp(6*y.*y);
Wz = -14*z.*exp(7*z.*z);
Wxx = -(10+100*x.*x).*exp(5*x.*x);
Wxy = zeros(size(x));
Wxz = Wxy;
Wyy = -(12+144*y.*y).*exp(6*y.*y);
Wyz = Wxy;
Wzz = -(14+196*z.*z).*exp(7*z.*z);

