function [W,Wx,Wy,Wz,Wxx,Wxy,Wxz,Wyy,Wyz,Wzz] = w_hyperboloid(x,y,z) 
% w_hyperboloid(x,y,z): weight function for a hyperboloid

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

W = 1/8 + (z-1/2).^2/2 - (x-1/2).^2-(y-1/2).^2; 
Wx = 1-2*x; Wy = 1-2*y; Wz = z-1/2;  
Wxx = -2+0*x; Wxy = 0*x; Wxz = 0*x; 
Wyy = -2+0*y; Wyz = 0*y; Wzz = 1+0*z;

