% BASIC example 
% - Delta u = f 
% Dirichlet boundary conditions on domain described by weight function w

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

% grid width, degree, algorithmic parameters (defaults)
H = 10; n = 3; 
PAR = set_par(H,n); PAR.values=15;

% domain (see m-file w_BASIC.m)
w = @w_BASIC;

% force
f = @(x,y) sin(y-x);

% finite element approximation and plot of solution
bvp_2d(@p_poisson,@q_poisson,f,w,w,H,n,PAR);

