function PAR = set_par(H,n);
% PAR = set_par(H,n);
% set defaults for algorithmic parameters 
%
% H
%   number of cells per coordinate direction, width 1/H
% n 
%   degree of the b-splines
% -> see documentation for details 

% FEMB-Programs (Version: 1.0)
% test version: for educational use and illustration purposes only
% -> see documentation for details

PAR.fit = n+2;
PAR.gauss = n+1;
PAR.steps = 4;
PAR.tol_int = H^(-2*PAR.gauss-1);
PAR.tol_zero = 100*eps;
PAR.tol_solve = H^(-n-3);
PAR.iterations = 10000;
PAR.values = ceil(64/H);
PAR.info = 2;

